com.holonplatform.vaadin.flow.components

## Interface ItemListing.ItemEditorEvent<T,P>

- Type Parameters:
    `T` - Item type
    `P` - Property type
  All Superinterfaces:
    Serializable
  Enclosing interface:
    ItemListing<T,P>

      public static interface ItemListing.ItemEditorEvent<T,P>
      extends Serializable

  Editor event.
  Since:
    5.2.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<P,Input<?>>` | `getBindings()` Get the available editor bindings, i.e. the `Input` component for each property.
    `com.vaadin.flow.component.grid.editor.Editor<T>` | `getEditor()` Get the item editor.
    `T` | `getItem()` Gets the item being edited.
    `ItemListing<T,P>` | `getListing()` Get the `ItemListing` to which the ditor is bound.
    `default boolean` | `isAdditionalItem()` Gets whether the item is an additional item.

- - ### Method Detail

    - #### getListing

          ItemListing<T,P> getListing()

      Get the `ItemListing` to which the ditor is bound.
      Returns:
        The listing

    - #### getEditor

          com.vaadin.flow.component.grid.editor.Editor<T> getEditor()

      Get the item editor.
      Returns:
        The editor

    - #### getItem

          T getItem()

      Gets the item being edited.
      Returns:
        the item being edited

    - #### isAdditionalItem

          default boolean isAdditionalItem()

      Gets whether the item is an additional item.

      Additional items are provided in addition to the ones returned by the concrete data provider.

      Returns:
        Whether the item is an additional item
      See Also:
        `ItemListingDataProviderAdapter`

    - #### getBindings

          Map<P,Input<?>> getBindings()

      Get the available editor bindings, i.e. the `Input` component for each property.
      Returns:
        A map of the editor bindings

Copyright © 2019 The Holon Platform. All rights reserved.